#ifndef cStringListView_H
#define cStringListView_H

#include "cPictureWindow.h"
#include "cStringArray.h"

class cStringListView : public cWindow{
private:
	static BOOL ClassRegistered;

protected:
	virtual BOOL RegisterClass();
	virtual char *GetClassName(){ return "StringListView"; }
	virtual LRESULT Proc(UINT uMsg, WPARAM wParam, LPARAM lParam);
	virtual BOOL IsClassRegistered(){ return ClassRegistered; }
	// Message Handlers
	void OnCreate(LPARAM lParam);
	void OnDestroy();

	void OnPaint(WPARAM wParam);

	cStringArray StringArray;

public:
	cStringListView();
	virtual ~cStringListView();

	void Printf(char *Format, ...);
	void Printfv(char *Format, va_list vaList);

};

#endif
